Package org.pushingpixels.substance.internal.utils.menu

# Interface SubstanceMenu

All Known Implementing Classes:
  `SubstanceCheckBoxMenuItemUI`, `SubstanceMenuItemUI`, `SubstanceMenuUI`, `SubstanceRadioButtonMenuItemUI`

public interface SubstanceMenu
Base interface for all menu-related UI delegates.

## Method Summary

Modifier and Type
Method
Description
`Font`
`getAcceleratorFont()`
Returns the font of the accelerator string of `this` UI delegate.
`Icon`
`getArrowIcon()`
Returns the arrow icon of `this` UI delegate.
`JMenuItem`
`getAssociatedMenuItem()`
Returns the associated menu item.
`Icon`
`getCheckIcon()`
Returns the checkmark icon of `this` UI delegate.
`int`
`getDefaultTextIconGap()`
Returns the default gap between the icon and the text for `this` delegate.

## Method Details

### getAcceleratorFont

Font getAcceleratorFont()
Returns the font of the accelerator string of `this` UI delegate.

Returns:
  The font of the accelerator string of `this` UI delegate.

### getCheckIcon

Icon getCheckIcon()
Returns the checkmark icon of `this` UI delegate.

Returns:
  The checkmark icon of `this` UI delegate.

### getArrowIcon

Icon getArrowIcon()
Returns the arrow icon of `this` UI delegate.

Returns:
  The arrow icon of `this` UI delegate.

### getDefaultTextIconGap

int getDefaultTextIconGap()
Returns the default gap between the icon and the text for `this` delegate.

Returns:
  The default gap between the icon and the text for `this` delegate.

### getAssociatedMenuItem

JMenuItem getAssociatedMenuItem()
Returns the associated menu item.

Returns:
  The associated menu item.